ERROR: You must give at least one requirement to install -- when running: pip install --upgrade --no-binary hdbscan

I am trying to install hdbscan in my PC which runs Windows 10 and has installed Python 3.6. My first attempt failed: (base) C:\WINDOWS\system32>pip install hdbscan --user Collecting hdbscan ...

tf-sentencepiece import error in colab (the import path is weird)

I am having error importing tf-sentencepiece on colab. I'm using tensorflow version 2.0, and I installed tf-sentencepiece. !pip install --upgrade pip !pip install tensorflow==2.0.0-rc1 !pip3...

Problem with ALBERT pretrained model on TF Hub

I've tried to test the ALBERT model on TF Hub. I got the following error when just trying to load ALBERT from TF Hub: python Python 3.6.8 (default, May 16 2019, 05:58:38) [GCC 4.8.5 20150623 (Red...

Loading TF1 universal sentence encoder into TF2 - hub

I am trying to load a TF1 model, using hub and following this guide. This model has a sentencepiece model which comes with it: spm_path =...

Error importing BERT: module 'tensorflow._api.v2.train' has no attribute 'Optimizer'

I tried to use bert-tensorflow in Google Colab, but I got the following error: --------------------------------------------------------------------------- AttributeError ...

T5 model custom vocabulary

Is there a way to choose my custom vocabulary in T5-model while fine-tuning for a text summarization task? I tried using a sentencepiece model to create my custom tokenizer but the model predicted...

EC2 Flask API Request Timeout if python dependencies are imported

I am building a Flask API on EC2 which does a machine learning forward pass on POSTed text data. My ec2 instance has all dependencies installed and any simple Flask application works perfectly...

How can I update sentencepiece package to its latest version using conda?

I have installed conda on linux ubuntu 16. When I install or update a package named sentencepiece it install the version 0.1.85 (which I guess is from 2 months ago according to anaconda website)....

Google Cloud Function Build timeout - all requirements have been loaded

I have the following code on my cloud function - import os import numpy as np import requests import torch from torch import nn from torch.nn import functional as F import math from torch.nn...

Training GPT2 and Reformer from scratch

I am looking, for example, script/notebook to train GPT2 and Reformer model from scratch in German. Something similar to...

TF object detection API detection model retraining: "object_detection.protos.TrainConfig" has no field named "fine_tune_checkpoint_version"

I'm retraining ssd_mobilenet_v2_coco_2018_03_29 using Tensorflow Object Detection API and I get this particular error on both Windows and Ubuntu environments. My environment below is Windows 10...

Graph ops missing from the python registry

I am trying to run the example code from bertseq2seq/roberta24_bbc: import tensorflow.compat.v1 as tf import tensorflow_hub as hub import sentencepiece text_generator = hub.Module( ...

how to solve incompatible in conda environment

I just begin with conda and i am creating an environment but i get an incompatible problem, I don't know how to fix it. here my list of package in this environment. (test_phobert)...

Failing to start FastAPI server, error in asyncpg

EDIT: turns out there was quite a few different errors. If you run into similar problems, you probably misconfigured something in your database - like exposing wrong port somewhere along the...

"OSError: Model name './XX' was not found in tokenizers model name list" - cannot load custom tokenizer in Transformers

I'm trying to create my own tokenizer with my own dataset/vocabulary using Sentencepiece and then use it with AlbertTokenizer transformers. I followed really closely the tutorial on how to train a...

Transformers v4.x: Convert slow tokenizer to fast tokenizer

I'm following the transformer's pretrained model xlm-roberta-large-xnli example from transformers import pipeline classifier = pipeline("zero-shot-classification", ...

T5Tokenizer requires the SentencePiece library but it was not found in your environment

I am trying to explore T5 this is the code !pip install transformers from transformers import T5Tokenizer, T5ForConditionalGeneration qa_input = """question: What is the capital of Syria? context:...

Fairseq Transform model not working (Float can't be cast to long)

I've installed python 3.8, pytorch 1.7, and fairseq 0.10.1, on a new machine, then copied in a script and model from a machine with python 3.6, pytorch 1.4 and fairseq 0.9.0, where it is...

XLNetTokenizer requires the SentencePiece library but it was not found in your environment

I am trying to implement the XLNET on Google Collaboratory. But I get the following issue. ImportError: XLNetTokenizer requires the SentencePiece library but it was not found in your environment....

No module named 'torchtext._torchtext'

i have error work with torctext: ModuleNotFoundError Traceback (most recent call last) <ipython-input-65-e34e6e6439d5> in <module> 1 import torch 2 from...

Segmentation fault (core dumped) on training the deep neural network /torch/cuda/__init__.py", line 172 in _lazy_init

python3 -q -X faulthandler test.py --model.backbone=resnet18 2021-02-07 20:14:21.198583: I tensorflow/stream_executor/platform/default/dso_loader.cc:49] Successfully opened dynamic library...

pip getting killed in Docker

I am building a Docker container based on python:3.7-slim-stretch (same problem also happens on python:3.7-slim-stretch), and it is getting Killed on pip install --no-cache-dir --verbose...

How to get word embeddings from the pretrained transformers

I am working on a word-level classification task on multilingual data, I am using XLM-R, I know that XLM-R uses sentencepiece as tokenizers which sometimes tokenizes words into subword. For...

OSError: libmkl_intel_lp64.so.1: cannot open shared object file: No such file or directory

I am trying to run a model on TPU as given in colab notebook. The model was working fine, but today I could not run the model. I used the following code to install pytorch-xla. VERSION = "nightly"...

How to install BigBirdTokenizer for NLP?

When I try to install BigBirdTokenizer I get the Following error AttributeError Traceback (most recent call last) <ipython-input-12-c81eaf9abd32> in <module>() ----> 1...

Strange results with huggingface transformer[marianmt] translation of larger text

I need to translate large amounts of text from a database. Therefore, I've been dealing with transformers and models for a few days. I'm absolutely no data science expert and unfortunately I don't...

Heroku: Compiled Slug Size is too large Python

I trying to deploy my app to heroku I have following deploying error transformers 4.8.2 requires huggingface-hub==0.0.12, but you'll have huggingface-hub 0.0.14 which is incompatible. ...

python packages not being installed on the virtual environment using ubuntu

I have a requirements.txt file which holds all information of my python packages I need for my Flask application. Here is what I did: python3 -m venv venv source venv/bin/activate sudo pip...

How to add new special token to the tokenizer?

I want to build a multi-class classification model for which I have conversational data as input for the BERT model (using bert-base-uncased). QUERY: I want to ask a question. ANSWER: Sure, ask...

Tensorflow Object Detection API taking forever to install in a Google Colab and failing

I am trying to install the Tensorflow Object Detection API on a Google Colab and the part that installs the API, shown below, takes a very long time to execute (in excess of one hour) and...